package com.example.onomatopoeiaback.controller;

import com.example.onomatopoeiaback.domain.visit.Visit;
import com.example.onomatopoeiaback.domain.visit.VisitDTO;
import com.example.onomatopoeiaback.service.VisitService;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.*;

import java.util.List;

@RestController
@RequestMapping("/visit")
public class VisitController {
    private final VisitService visitService;

    public VisitController(VisitService visitService) {
        this.visitService = visitService;
    }

    @GetMapping("/{username}/visits")
    public ResponseEntity<List<Visit>> visits(
            @PathVariable String username,
            @RequestParam Integer offset,
            @RequestParam Integer limit
    ) {
        return ResponseEntity.ok(visitService.getVisits(username, offset, limit));
    }
}
